/* Поддержка PNG-24 для MSIE6 через VML. */

	v\:* { behavior:url(#default#VML);display:inline-block }

	.g-png {
		position: relative;
		overflow: hidden;
		zoom: expression(
			this.PNGpropertychange = function(event, obj){
				if(event.propertyName == 'className'){
					var obj = obj ? obj : event.srcElement;
					setTimeout(function() { obj.PNGevent(obj); }, 1); 
				}
			},
			this.PNGbindevents = function(obj){
			  var parent = obj;
			  while(parent = parent.parentNode){
			    if(parent)
			      parent.attachEvent('onpropertychange', function(event){
			        obj.PNGpropertychange(event, obj);
			      })
		    }
			},

			this.attachEvent('onmouseenter', function(event){ /* Fix some events */
				var obj = event.srcElement;
				setTimeout(function() { obj.PNGevent(obj); }, 1);
			}),
			this.attachEvent('onmouseleave', function(event){
				var obj = event.srcElement;
				setTimeout(function() { obj.PNGevent(obj); }, 1);
			}),
			this.attachEvent('onpropertychange', this.PNGpropertychange),
			
			this.PNGevent = function(obj){
				if(obj.currentStyle.backgroundPositionX != "right"){
					obj.getElementsByTagName("image")[0].style.left = obj.currentStyle.backgroundPositionX != 'left' ? obj.currentStyle.backgroundPositionX : 0;
					obj.getElementsByTagName("image")[0].style.right = "auto";
				} else {
					obj.getElementsByTagName("image")[0].style.left = "auto";
					obj.getElementsByTagName("image")[0].style.right = 0;
				}

				if(obj.currentStyle.backgroundPositionY != "bottom"){
					obj.getElementsByTagName("image")[0].style.top = obj.currentStyle.backgroundPositionY != "top" ? obj.currentStyle.backgroundPositionY : 0;
					obj.getElementsByTagName("image")[0].style.bottom = "auto";
				} else {
					obj.getElementsByTagName("image")[0].style.top = "auto";
					obj.getElementsByTagName("image")[0].style.bottom = 0;
				}
			},
			this.PNGset = function(obj, cache){
				obj.getElementsByTagName("image")[0].style.width = cache.width + "px";
				obj.getElementsByTagName("image")[0].style.height = cache.height + "px";
			},
			this.PNGload = function(obj){
				if(!document.PNGcache){
					try{ document.execCommand("BackgroundImageCache", false, true); } /* IE fix with background images cache */
					catch(r){}
					
					document.PNGcache = new Array();
				}
			
				for(var i=0;i<document.PNGcache.length;i++){
					if(document.PNGcache[i].url == obj.PNGsrc){
						if(document.PNGcache[i].loaded) obj.PNGset(obj, document.PNGcache[i]) /* fix when image in cache */
						else document.PNGcache[i].obj.push(obj);
						return;
					}
				}
				document.PNGcache.push({ url: obj.PNGsrc, obj: [obj], loaded: false })

				var image = document.createElement("img");
				document.body.appendChild(image);
				image.onload = function() {
					var aObjects;
					for(var i=0;i<document.PNGcache.length;i++){
						if(document.PNGcache[i].url == obj.PNGsrc){
							aObjects = document.PNGcache[i].obj;
							break;
						}
					}
					document.PNGcache[i].width = image.offsetWidth;
					document.PNGcache[i].height = image.offsetHeight;
					if(aObjects){
						for(var k=0;k<aObjects.length;k++){
							obj.PNGset(aObjects[k], document.PNGcache[i])
						}
					}
					document.PNGcache[i].loaded = true;
					image.parentNode.removeChild(image);
				};
				image.src = obj.PNGsrc; /* IE fix with onload event (src must be declared under onload event) */
				image.runtimeStyle.cssText = "behavior:none;position:absolute;left:-10000px;top:-10000px;border:none;";
			},
			
	    appendChild(createElement("v:image")),

			this.PNGsrc = currentStyle.backgroundImage.replace(/[^'"]*"?'?([^'"]*).*/, "$1"),
			getElementsByTagName("image")[0].src = this.PNGsrc,

			this.PNGevent(this),
			this.PNGload(this),
			this.PNGbindevents(this),

      runtimeStyle.zoom="1", /* one-time called expression, at the same time declare hasLayout */
      runtimeStyle.backgroundImage="none" /* remove background */
    );
	}

	.g-png v\:image { position:absolute; font-size: 0; z-index: -1; }

/* Поддержка PNG-24 (end) */